Subject: Chinese Text Broadcasting

From: Rupert Zhu <[email-masked]>
Date: Sun, 3 Feb 91 19:45:33 EST

Chinese Text Broadcasting Via E-mail
                     ====================================

Purpose:  Establish a standard way for broadcasting Chinese text via
          E-mail.

Keywords:  Standardization,  Broadcasting.

Fundamental Choices:

   (1) Which Text Coding Scheme To Adopt --- Guo Biao or Big5?
       After extensive consultation and careful evaluation, I propose
       to use Guo Biao based software rather than Big5.
   (2) What Encoding Scheme To Adopt --- uuencode/uudecode, atob/btoa,
       or various other self-written schemes?
          It seems that uuencode/uudecode is one of the most popular
       schemes and is also supported in some major operating system
       like UNIX.  So I TENTATIVELY propose adopting uuencode/uudecode
       as the standard encoding scheme.
          (But this is not final choice.  Other options are still
       open.  I am not confident yet about this choice)

Interface and Device Drivers:

   (1) Basic Working Environment is assumed to be IBM PC compatibles.
       Then there is already a well established interface --- BYX.
       The screen driver and printer driver and other necessary
       facilities are provided in BYX.
          CC-DOS, Chinese Wordstar and any other Guo Biao based
       Chinese software should also provide a complete and independent
       interface on PC.  (This is true at least in theory.) So those
       who use any of these softwares don't have to switch to BYX.

   (2) Optional Working Environments:  These include X-Windows,
       Sun Stations, Macintosh, and even an ordinary VT220 terminal
       on VMS system.
          For each of these working environments, a complete
       interface including screen driver and printer driver
       needs to be written, if those do not exist by now.
       It requires a big amount of work.  It is not feasible,
       technically and financially, for us to write such device
       drivers.
          Fortunately, the majority (more than 80 percent) of
       the recipients in this proposed Chinese text network are
       expected to be PC-based people.  So we can simply go
       ahead to build the network and aim at PC based recipients
       at present.  We can gradually find ways for those who
       work in the "optional working environments".

Other Ways To Transmit Files:

   (1) FTP --- This is mainly available in Internet.
   (2) BITFTP --- This is a public service provide at a node at
               Princeton University.  This can partially process
               Internet's FTP for BITNET users.
   (3) BITNET Protocol --- There is a special protocol for transmitting
               binary files between BITNET users, (but not available
               for users not on BITNET).
   (4) PC to PC Connection through Telephone.

      There are two disadvantages with the above-mentioned methods.
   First, each of these facility is only available to a special
   category of computer users, not to everybody.  Second, they lack
   the capability of broadcasting.
      Based on these reasons, I strongly recommend to adopt an
   encoding/decoding scheme as our official scheme.  (Standardization)

Rupert Zhu
Dept of Combinatoric and Optimization
University of Waterloo
February 3, 1991
=====================================================================

---

From: "J. Ding" <[email-masked]>
Date: Mon, 4 Feb 91 10:27:00 CST

Re: message from Rupert

One fast way to standarize may be "offering it for free". :-)

Since you said that the basic environment is PC, you may just try to develop
a PC-based encode/decode program. And make the source code available in one
or more common used hi-level language(say, BASIC). You send out the source
code, the users will easily take care of the rest part.

The Hi-level source code could be used by any mainframe OS.

You may contact Yan Yongxin to see if it is possible to put his outdated
basic BYX package available for FTP. So those who merely uses the pacage
for reading news don't have to buy a very complete package. It is good
for his business too, he should know that. If this fails, try some other
domestic Gou-Biao based software. Again, if you have the free ware, you
get the "power" to standarize.
                                 --JD

---

From: Ed Lai <[email-masked]>
Date: Mon, 4 Feb 91 11:08:08 -0800

>       open.  I am not confident yet about this choice)

If we are using GB and then turn around to use uuencode, then it would be
very silly. GB was not designed as an internal code, rather it is meant to
be used as communication, as such it can be used directly. What is popularly
called GB, i.e. the one used in CCDOS is not GB but a modified GB, however it
can be trivally converted back and forth from pure GB. I have proposed that
pure GB be used as the communication, since then there are a number of other
proposals. These proposals differs in the detail but they all stick to the
principle of using pure GB as the communication code.

The advantage of using pure GB over uuencode or atob is that there is no
growth in size of text in the encoded form. But the real advantage is that
you no longer need to decode in batch mode and things can be decoded on the
fly, allowing for far more transparent processing.

/* Disclaimer: All statments and opinions expressed are my own */
/* Edmund K. Lai                                               */
/* Apple Computer, MS37-UP                                     */
/* 20525 Mariani Ave,                                          */
/* Cupertino, CA 95014                                         */
/* (408)974-6272                                               */
zW@h9cOi

---

From: Ed Lai <[email-masked]>
Date: Mon, 4 Feb 91 13:37:13 -0800

I understand that since I was one of the first one to propose a solution.
Pure GB is 7 bit (and easily converted from CCDOS-GB by stripping off the
high bit) and in the printable ASCII range, so there is no problem sending
pure GB by e-mail. Such experiment has been peformred on the net and in
soc.culture.china long ago.